#!/bin/sh

set -e

docker build -t ungleich-hardware .

while [ $# -ge 1 ]; do
    tag=$1; shift
    git tag -a -m "Version $tag" $tag
    git push --tags
    docker tag ungleich-hardware:latest ungleich/ungleich-hardware:${tag}
    docker tag ungleich-hardware:latest harbor.ungleich.svc.p10.k8s.ooo/ungleich-public/ungleich-hardware:${tag}
    docker push ungleich/ungleich-hardware:${tag}
    docker push harbor.ungleich.svc.p10.k8s.ooo/ungleich-public/ungleich-hardware:${tag}
done
